#coding=UTF-8



import re, speechDictHandler, ui, os
import globalPluginHandler
isNumber = 1
config = os.path.join(os.path.dirname(__file__), r"config")
class GlobalPlugin(globalPluginHandler.GlobalPlugin):
	def __init__(self):
		super(globalPluginHandler.GlobalPlugin, self).__init__()
		global isNumber
		f = open(config)
		isNumber = int(f.read())
		f.close()
		if isNumber==0:
				SpeakDigits()
		elif isNumber==1:
			SpeakNumber()


	def script_ToggleSpeakNumbers(self, gesture):
		global isNumber
		isNumber=(isNumber+1)%2
		if isNumber == 0:
			SpeakDigits()
			ui.message(u"数字读法")
		elif isNumber==1:
			SpeakNumber()
			ui.message(u"数值读法")
		f = open(config, "w")
		f.write(str(isNumber))
		f.close()


	script_ToggleSpeakNumbers.__doc__ = u"数字，数值读法切换"
	script_ToggleSpeakNumbers.category = u"语音"

	__gestures = {"kb:nvda+shift+8": "ToggleSpeakNumbers"}

def SpeakDigits():
		dict=speechDictHandler.dictionaries["temp"]
		for i in range(len(dict)):
			dict.remove(dict[0])
		one=speechDictHandler.SpeechDictEntry("1", u"一", "one")
		two=speechDictHandler.SpeechDictEntry("2", u"二", "two")
		three=speechDictHandler.SpeechDictEntry("3", u"三", "three")
		four=speechDictHandler.SpeechDictEntry("4", u"四", "four")
		five=speechDictHandler.SpeechDictEntry("5", u"五", "five")
		six=speechDictHandler.SpeechDictEntry("6", u"六", "six")
		seven=speechDictHandler.SpeechDictEntry("7", u"七", "seven")
		eight=speechDictHandler.SpeechDictEntry("8", u"八", "eight")
		nine=speechDictHandler.SpeechDictEntry("9", u"九", "nine")
		zero=speechDictHandler.SpeechDictEntry("0", u"零", "zero")
		dict.append(one)
		dict.append(two)
		dict.append(three)
		dict.append(four)
		dict.append(five)
		dict.append(six)
		dict.append(seven)
		dict.append(eight)
		dict.append(nine)
		dict.append(zero)


def SpeakNumber():
		d=speechDictHandler.dictionaries["temp"]
		for i in range(len(d)):
			d.remove(d[0])
